edu.wpi.first.wpilibj.hal

## Class I2CJNI

- java.lang.Object
- - edu.wpi.first.wpilibj.hal.JNIWrapper
  - - edu.wpi.first.wpilibj.hal.I2CJNI

-     public class I2CJNI
      extends JNIWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `I2CJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `i2CClose(int port)`
    `static void` | `i2CInitialize(int port)`
    `static int` | `i2CRead(int port, byte address, java.nio.ByteBuffer dataReceived, byte receiveSize)`
    `static int` | `i2CTransaction(int port, byte address, java.nio.ByteBuffer dataToSend, byte sendSize, java.nio.ByteBuffer dataReceived, byte receiveSize)`
    `static int` | `i2CWrite(int port, byte address, java.nio.ByteBuffer dataToSend, byte sendSize)`

    - ### Methods inherited from class edu.wpi.first.wpilibj.hal.JNIWrapper

      `getPort, getPortWithModule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### I2CJNI

          public I2CJNI()

  - ### Method Detail

    - #### i2CInitialize

          public static void i2CInitialize(int port)

    - #### i2CTransaction

          public static int i2CTransaction(int port,
                                           byte address,
                                           java.nio.ByteBuffer dataToSend,
                                           byte sendSize,
                                           java.nio.ByteBuffer dataReceived,
                                           byte receiveSize)

    - #### i2CWrite

          public static int i2CWrite(int port,
                                     byte address,
                                     java.nio.ByteBuffer dataToSend,
                                     byte sendSize)

    - #### i2CRead

          public static int i2CRead(int port,
                                    byte address,
                                    java.nio.ByteBuffer dataReceived,
                                    byte receiveSize)

    - #### i2CClose

          public static void i2CClose(int port)